Thanks, John. The initial announcement was a little misleading when it said there was no problem with the client version of 5.3.1 under Leopard, so I didn't bother getting the beta. Obviously there was a problem and I would have used the beta sooner had I known.